ProgressDialog

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.miscellaneous.client
Class ProgressDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          org.openswing.swing.miscellaneous.client.ProgressDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class ProgressDialog
extends javax.swing.JDialog

Title: OpenSwing Framework

Description: Dialog used to show a progress bar and messages related to progress state.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ProgressDialog(javax.swing.JFrame parentFrame, java.lang.String title, java.lang.String mainTitle, java.lang.String mainMessage, java.lang.String[] messageLabels, double minValue, double maxValue, boolean modal, boolean showCancelButton)` Constructor that can be used with any JFrame.
`ProgressDialog(java.lang.String title, java.lang.String mainTitle, java.lang.String mainMessage, java.lang.String[] messageLabels, double minValue, double maxValue, boolean modal, boolean showCancelButton)` Constructor that shows this window inside the MDI Frame.

Method Summary
`void` | `addCancelButtonListener(java.awt.event.ActionListener listener)` Add an action listener to the cancel button.
`boolean` | `addColoredBand(double minValue, double maxValue, java.awt.Color color)` Add an interval [minValue,maxValue] and a color to use to paint that interval.
`java.lang.String` | `getImageName()`
`double` | `getMaximumValue()`
`double` | `getMinimumValue()`
`java.awt.Color` | `getProgressBarColor()`
`boolean` | `isShowAllBands()`
`void` | `processProgressEvent(ProgressEvent event)` Notify an event that will update the progress bar and the other window content.
`void` | `removeCancelButtonListener(java.awt.event.ActionListener listener)` Remove the specified action listener to the cancel button.
`void` | `setImageName(java.lang.String imageName)` Set an image panel a the left of the main title.
`void` | `setMaximumValue(double maxValue)` Set the maximum value allowed in the progress bar.
`void` | `setMinimumValue(double minValue)` Set the minimum value allowed in the progress bar.
`void` | `setProgressBarColor(java.awt.Color color)` Set the progress bar color.
`void` | `setShowAllBands(boolean showAllBands)` Determine how color the progress bar: `true` to paint the bar with many colors, each band with its color, `false` to paint the bar with ony one color: the color related to the last matched band.

Methods inherited from class javax.swing.JDialog
`getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProgressDialog

    public ProgressDialog(java.lang.String title,
                          java.lang.String mainTitle,
                          java.lang.String mainMessage,
                          java.lang.String[] messageLabels,
                          double minValue,
                          double maxValue,
                          boolean modal,
                          boolean showCancelButton)

  Constructor that shows this window inside the MDI Frame.

Parameters:
  `title` - window title; this text will be automatically translate, according to ClientSettings content
  `mainTitle` - main title (showed in BOLD style); this text will be automatically translate, according to ClientSettings content
  `mainMessage` - main message; this text will be automatically translate, according to ClientSettings content
  `messageLabels` - list of label texts to set above the progress bar; this text will be automatically translate, according to ClientSettings content
  `minValue` - minimum value allowed in the progress bar
  `maxValue` - maximum value allowed in the progress bar
  `modal` - flag used to set the window as modal

### ProgressDialog

    public ProgressDialog(javax.swing.JFrame parentFrame,
                          java.lang.String title,
                          java.lang.String mainTitle,
                          java.lang.String mainMessage,
                          java.lang.String[] messageLabels,
                          double minValue,
                          double maxValue,
                          boolean modal,
                          boolean showCancelButton)

  Constructor that can be used with any JFrame.

Parameters:
  `title` - window title; this text will be automatically translate, according to ClientSettings content
  `mainTitle` - main title (showed in BOLD style); this text will be automatically translate, according to ClientSettings content
  `mainMessage` - main message; this text will be automatically translate, according to ClientSettings content
  `messageLabels` - list of label texts to set above the progress bar; this text will be automatically translate, according to ClientSettings content
  `minValue` - minimum value allowed in the progress bar
  `maxValue` - maximum value allowed in the progress bar
  `modal` - flag used to set the window as modal

Method Detail

### processProgressEvent

    public final void processProgressEvent(ProgressEvent event)

  Notify an event that will update the progress bar and the other window content.

  Parameters:
    `event` - progress event

### addCancelButtonListener

    public final void addCancelButtonListener(java.awt.event.ActionListener listener)

  Add an action listener to the cancel button.

  Parameters:
    `listener` - listener to add

### removeCancelButtonListener

    public final void removeCancelButtonListener(java.awt.event.ActionListener listener)

  Remove the specified action listener to the cancel button.

  Parameters:
    `listener` - listener to remove

### setMinimumValue

    public final void setMinimumValue(double minValue)

  Set the minimum value allowed in the progress bar.

  Parameters:
    `minValue` - minimum value allowed in the progress bar

### setMaximumValue

    public final void setMaximumValue(double maxValue)

  Set the maximum value allowed in the progress bar.

  Parameters:
    `maxValue` - maximum value allowed in the progress bar

### getMinimumValue

    public final double getMinimumValue()

  Returns:
    inimum value allowed in the progress bar

### getMaximumValue

    public final double getMaximumValue()

  Returns:
    maximum value allowed in the progress bar

### setProgressBarColor

    public final void setProgressBarColor(java.awt.Color color)

  Set the progress bar color.

  Parameters:
    `color` - progress bar color

### getProgressBarColor

    public final java.awt.Color getProgressBarColor()

  Returns:
    progress bar color

### setImageName

    public final void setImageName(java.lang.String imageName)

  Set an image panel a the left of the main title.

  Parameters:
    `imageName` - image name that identifies the image to show; the image must be located in "images" sub-folder

### getImageName

    public final java.lang.String getImageName()

  Returns:
    imageName image name that identifies the image to show; the image must be located in "images" sub-folder

### addColoredBand

    public final boolean addColoredBand(double minValue,
                                        double maxValue,
                                        java.awt.Color color)

  Add an interval [minValue,maxValue] and a color to use to paint that interval.

  Parameters:
    `minValue` - minimum value of this interval
    `maxValue` - maximum value of this interval
    `color` - color to use to paint this band
  Returns:
    `true` if the specified interval does not match any other interval, `false` otherwise

### isShowAllBands

    public final boolean isShowAllBands()

  Returns:
    flag used to determine how color the progress bar: `true` to paint the bar with many colors, each band with its color, `false` to paint the bar with ony one color: the color related to the last matched band

### setShowAllBands

    public final void setShowAllBands(boolean showAllBands)

  Determine how color the progress bar: `true` to paint the bar with many colors, each band with its color, `false` to paint the bar with ony one color: the color related to the last matched band.

  Parameters:
    `showAllBands` - flag used to determine how color the progress bar: `true` to paint the bar with many colors, each band with its color, `false` to paint the bar with ony one color: the color related to the last matched band

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD